Well, MobileMe is up and running finally, after the several server drops and now all features are working. But as 2.0 firmware is not unlocked yet, I'm still on 1.1.4 and was just wondering if I could check my MobileMe account. And Hey! This is what I see:























I thought Apple might have made a web interface for the iPhone version of MobileMe, but you can't even access the normal version of MobileMe. It redirected to the page shown. So, if you don't have the 2.0 firmware, no MobileMe for you on your iPhone !

So, all we can do is wait for the 2.0 firmware unlock to release and then use MobileMe with the native apps on the firmware.

2 comments

  1. perinouk  

    do you know when I will be able to use MobileMe on my unlocked 1.1.4 iPhone? Or do I have to upgrade to 2.0 and the unlock? If so, when will I be able to upgrade and unlock? Sorry if I am asking stupid questions.

  2. Jash Sayani  

    Well, this post shows that you cant use MobileMe with 1.1.4, so you have to upgrade to 2.0 firmware to use MobileMe. However, the unlock is not yet released so stay tuned...

Post a Comment